Redmine - Defect #42126

The member table layout breaks due to .icon class on td elements
2025-01-20 08:29 - Katsuya HIDAKA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 6.0.3

Resolution: Fixed Affected version: 6.0.2
Description

Similar to #41873, the member table layout breaks due to the .icon class on td elements.

Alternate Theme (before applying the patch):
alternate-theme-before-applying-patch.png

The attached patch resolves this issue by wrapping the content with a span element and applying the .icon class to the span
element, as done in #41873. Additionally, the .icon-user (group, groupnonmember, groupanonymous) classes, which are no longer
needed, are removed.

Alternate theme (after applying the patch):
alternate-theme-after-applying-patch.png

Default theme (after applying the patch):
default-theme-after-applying-patch.png

Associated revisions

Revision 23461 - 2025-01-23 07:48 - Go MAEDA

Fix the members list table layout breaks due to .icon class on td elements (#42126).

Patch by Katsuya HIDAKA (user:hidakatsuya).

Revision 23462 - 2025-01-23 07:50 - Go MAEDA

Remove unused CSS definition for “tr.member .icon-user™ (#42126).

Patch by Katsuya HIDAKA (user:hidakatsuya).

Revision 23468 - 2025-01-28 08:58 - Go MAEDA
Merged r23461 and r23462 from trunk to 6.0-stable (#42126).

History

#1 - 2025-01-20 08:58 - Katsuya HIDAKA

- File 0002-Remove-unused-CSS-definition-for-tr.member-.icon-user.patch added

| have attached an additional patch to remove the unnecessary CSS definition for tr.member .icon-user.

#2 - 2025-01-21 11:07 - Go MAEDA
- Status changed from New to Confirmed

- Target version set to 6.0.3

Settig the target version to 6.0.3.

#3 - 2025-01-23 07:51 - Go MAEDA
- Status changed from Confirmed to Resolved
- Assignee set to Go MAEDA

- Resolution set to Fixed
Committed the patches in r23461 and r23462. Thank you.

#4 - 2025-01-28 08:59 - Go MAEDA

- Status changed from Resolved to Closed

Merged the fixes into the 6.0-stable branch in r23468.
